Bug 143745 - policy wouldnt allow ldconfig to run
policy wouldnt allow ldconfig to run
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-26 13:28 EST by mark
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-251
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 17:51:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mark 2004-12-26 13:28:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
running targeted policy in enforcing mode

[root@markf78 ~]# totem
totem: error while loading shared libraries: libxine.so.1: cannot open
shared object file: No such file or directory

so, tried running ldconfig:

[root@markf78 ~]# ldconfig
ldconfig: Input file /usr/local/lib/libxine.so.1.11.1 not found.

ok, but: 

[root@markf78 ~]# ls -l /usr/local/lib/libxine.so.1.11*
-rwxr-xr-x  1 root root 340546 Dec 26 13:04
/usr/local/lib/libxine.so.1.11.1

thought to do this:

[root@markf78 ~]# dmesg
<snip>
audit(1104084596.690:0): avc:  denied  { getattr } for  pid=5883
exe=/sbin/ldconfig path=/usr/local/lib/libxine.so.1.11.1 dev=dm-0
ino=529099 scontext=root:system_r:ldconfig_t
tcontext=root:object_r:lib_t tclass=file
audit(1104084596.691:0): avc:  denied  { read } for  pid=5883
exe=/sbin/ldconfig name=libxine.so.1.11.1 dev=dm-0 ino=529099
scontext=root:system_r:ldconfig_t tcontext=root:object_r:lib_t tclass=file

so, i switched into permissive mode, ran ldconfig, switched back into
enforcing mode, then ran totem, and everying worked fine...

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-2.58

How reproducible:
Didn't try

Steps to Reproduce:
1. see above detailed description
2.
3.
    

Additional info:
Comment 1 Daniel Walsh 2004-12-27 06:54:52 EST
RUn 

restorecon -R -v /usr/local to fix file context on files installed with
make install.

Dan
Comment 2 Tim Powers 2005-06-09 09:06:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-251.html

Note You need to log in before you can comment on or make changes to this bug.